@import "@/styles/colors";
@import "@/styles/mixins/typography";

.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  row-gap: 8px;
}

.label {
  color: $color-white;
  @include typography('sm-semibold');
}

.input {
  padding: 12px 16px;
  background-color: transparent;
  border: 2px solid $color-custom-secondary-button-bg-hollow-button-border;
  -webkit-border-radius: 12px;
  -moz-border-radius: 12px;
  border-radius: 12px;
  color: $color-white;
  width: 100%;
  @include typography('sm-medium');
  transition: border 0.2s ease;

  &:focus-visible:not(:disabled), &:focus:not(:disabled) {
    border: 2px solid $color-blue-500;
  }

  &::placeholder:has(:disabled) {
    color: $color-custom-text-tooltips;
  }

  &::placeholder:not(:disabled) {
    color: $color-custom-input-placeholder;
  }

  &:disabled {
    opacity: 0.3;
  }

  &_container {
    position: relative;
    width: 100%;

    &_error {
      &~.subText {
        color: $color-red-500;
      }
    }
  }

  &_withIcon {
    padding-left: 44px;
  }

  &_error {
    border: 2px solid $color-red-500;
  }

}

.subText {
  color: $color-custom-text-tooltips;
  @include typography('xs-medium');
}

.icon {
  display: flex;
  position: absolute;
  top: 14px;
  left: 16px;
}